coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/category-related-metas/display-category-codes/{displayCategoryCode}2609170000

Category Metadata Query

# 01

Summary

Category Metadata Query

# 02

Details

Available buyer market: Korean

You can use the display category code (displayCategoryCode) to look up the category's notice, option, required documents, certification information list, etc.

When you create a product, the message should be comprised of the types that match the metadata of each category set forth by Coupang.

*How to query the display category code (Click)

*How to check required purchase options and allowable values ​​(Click)

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/category-related-metas/display-category-codes/{displayCategoryCode}

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/category-related-metas/display-category-codes/78877
# 03

Path parameters

NameTypeDescription
displayCategoryCode*number
Display category code
# 04

Response body

Response message

NameTypeDescription
codestring
Result code:
SUCCESS/ERROR
messagestring
Result message
dataobject
Category metadata;
Repeat N times as many as the number of seller products in the query
isAllowSingleItem
data.isAllowSingleItem
boolean
Whether a single item can be listed or not
true / false
From October 10, 2024, when entering required purchase options, you must enter them in the correct data format to successfully register a product.
attributes
data.attributes
object[]
Category option list (Purchase option/search option )
Repeat as many times as the number of options;
Attributes may be added, modified, and deleted before product sales is approved.
After product sales is approved, attributes may be added but not deleted or modified.
attributeTypeName
data.attributes[].attributeTypeName
string
Option type name
dataType
data.attributes[].dataType
string
Data type
Response Value Mean
STRING String
NUMBER Number
DATE Date
basicUnit
data.attributes[].basicUnit
string
Basic unit
Ex)
Length (cm): cm, mm, m, km
Length (inch): in, ft, yd
Weight (g): mg, g, kg, t, oz, lb
Volume (ml): cc, ml, L
Data capacity (GB): KB, MB, GB, TB
Quantity (unit): Piece, piece per package, sheet, sheet per package, pack, piece per, page, bottle, portion, box, Ea, pouch, can, stick, book, set, capsule, container, tablet, packet

*This field is not used in the beverage category.
usableUnits
data.attributes[].usableUnits
string[]
List of usable units
Ex)
Length (cm): cm, mm, m, km
Length (inch): in, ft, yd
Weight (g): mg, g, kg, t, oz, lb
Volume (ml): cc, ml, L
Data capacity (GB): KB, MB, GB, TB
Quantity (unit): Piece, piece per package, sheet, sheet per package, pack, piece per, page, bottle, portion, box, Ea, ouch, can, stick, book, set, capsule, container, tablet, packet
required
data.attributes[].required
string
Response Value Mean
MANDATORY Required
OPTIONAL Optional
※ The free purchase option configuration(open attribute) is possible. More details can be found in the guide below.
New Product Creation API Guide (changed on October 12, 2020)

If you configure free purchase options from October 10, 2024, exposure will be limited.
groupNumber
data.attributes[].groupNumber
string
Group attributes (Whether it is in the format that offers the option of choosing attributes)
NONE: Not group attributes
1 or 2: Group attributes. In this case, there are attributes in the attributes information with the same groupNumber value. Enter only one of the two.
exposed
data.attributes[].exposed
string
Purchase option/search option separator
Response Value Mean
EXPOSED Purchase option
NONE Search option
noticeCategories
data.noticeCategories
object[]
Product notice list;
Repeat as many times as the number of options
noticeCategoryName
data.noticeCategories[].noticeCategoryName
string
Product notice category name
noticeCategoryDetailNames
data.noticeCategories[].noticeCategoryDetailNames
object[]
Product notice category, detailed list
noticeCategoryDetailName
data.noticeCategories[].noticeCategoryDetailNames[].noticeCategoryDetailName
string
Product notice category, detailed name
required
data.noticeCategories[].noticeCategoryDetailNames[].required
string
Required or not
Response Value Mean
MANDATORY Required
OPTIONAL Optional
requiredDocumentNames
data.requiredDocumentNames
object[]
List of required documents;
Repeat as many times as the number of options
templateName
data.requiredDocumentNames[].templateName
string
Required document name
required
data.requiredDocumentNames[].required
string
Whether the document is required or not
Response Value Mean
MANDATORY Required
OPTIONAL Optional
certifications
data.certifications
object[]
Product certification information;
Repeat as many times as the number of options
certificationType
data.certifications[].certificationType
string
Enter in the "certificationType" field when listing/modifying a product
name
data.certifications[].name
string
Certification name
dataType
data.certifications[].dataType
string
Certification name
CODE (Enter the code issued by the certification authority)
NONE (No need to enter the code)
required
data.certifications[].required
string
Required or not
MANDATORY (Required)
RECOMMEND (Recommended)
OPTIONAL (Optional)
allowedOfferConditions
data.allowedOfferConditions
string[]
Allowed product condition

Check the value to confirm whether the refurbished / used product may be listed.
Response Value Mean
NEW New
REFURBISHED Refurbished
USED_BEST Used (Best)
USED_GOOD Used (Good)
USED_NORMAL Used (Normal)

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "isAllowSingleItem": true,
    "attributes": [
      {
        "attributeTypeName": "수량",
        "dataType": "NUMBER",
        "basicUnit": "개",
        "usableUnits": [
          "개",
          "개입",
          "매",
          "매입",
          "팩",
          "입",
          "장",
          "병",
          "인용",
          "인분",
          "box",
          "Ea",
          "포",
          "캔",
          "박스",
          "스틱",
          "권",
          "set",
          "세트",
          "조",
          "캡슐",
          "통",
          "정",
          "봉",
          "마리",
          "롤",
          "p",
          "구",
          "피스",
          "회",
          "회분",
          "단계",
          "번",
          "프렛",
          "음판",
          "건반",
          "쪽",
          "단",
          "칸",
          "종",
          "분류",
          "현",
          "선",
          "공",
          "자리",
          "폭",
          "rpm",
          "색",
          "대"
        ],
        "required": "OPTIONAL",
        "groupNumber": "NONE",
        "exposed": "EXPOSED"
      },
      {
        "attributeTypeName": "자동차거치용품 거치대고정",
        "dataType": "STRING",
        "basicUnit": "없음",
        "usableUnits": [],
        "required": "OPTIONAL",
        "groupNumber": "NONE",
        "exposed": "NONE"
      },
      {
        "attributeTypeName": "헤드 회전 가능여부",
        "dataType": "STRING",
        "basicUnit": "없음",
        "usableUnits": [],
        "required": "OPTIONAL",
        "groupNumber": "NONE",
        "exposed": "NONE"
      },
      {
        "attributeTypeName": "각도조절 가능여부",
        "dataType": "STRING",
        "basicUnit": "없음",
        "usableUnits": [],
        "required": "OPTIONAL",
        "groupNumber": "NONE",
        "exposed": "NONE"
      }
    ],
    "noticeCategories": [
      {
        "noticeCategoryName": "자동차용품(자동차부품/기타 자동차용품)",
        "noticeCategoryDetailNames": [
          {
            "noticeCategoryDetailName": "품명 및 모델명",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "출시년월",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "KC 인증 필 유무",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "제조자(수입자)",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "제조국",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "크기",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "적용차종",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "품질보증기준",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "A/S 책임자와 전화번호",
            "required": "MANDATORY"
          }
        ]
      },
      {
        "noticeCategoryName": "기타 재화",
        "noticeCategoryDetailNames": [
          {
            "noticeCategoryDetailName": "품명 및 모델명",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "인증사항",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "제조국(원산지)",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "제조자(수입자)",
            "required": "MANDATORY"
          },
          {
            "noticeCategoryDetailName": "소비자상담 관련 전화번호",
            "required": "MANDATORY"
          }
        ]
      }
    ],
    "requiredDocumentNames": [
      {
        "templateName": "기타인증서류",
        "required": "OPTIONAL"
      },
      {
        "templateName": "수입신고필증(병행수입 선택시)",
        "required": "MANDATORY_PARALLEL_IMPORTED"
      },
      {
        "templateName": "인보이스영수증(해외구매대행 선택시)",
        "required": "MANDATORY_OVERSEAS_PURCHASED"
      }
    ],
    "certifications": [
      {
        "certificationType": "NOT_REQUIRED",
        "name": "인증대상아님",
        "dataType": "NONE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "PRESENTED_IN_DETAIL_PAGE",
        "name": "상세설명에 표시",
        "dataType": "NONE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_KID_CERTIFICATION",
        "name": "KC인증 어린이제품 안전인증",
        "dataType": "CODE",
        "required": "RECOMMEND"
      },
      {
        "certificationType": "KC_KID_CONFIRM",
        "name": "KC인증 어린이제품 안전확인",
        "dataType": "CODE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_KID_PROVIDER",
        "name": "KC인증 어린이제품 공급자적합성확인",
        "dataType": "NONE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_ELECTRONICS_CERTIFICATION",
        "name": "KC인증 전기용품 안전인증",
        "dataType": "CODE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_ELECTRONICS_CONFIRM",
        "name": "KC인증 전기용품 안전확인",
        "dataType": "CODE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_ELECTRONICS_PROVIDER",
        "name": "KC인증 전기용품 공급자적합성확인",
        "dataType": "NONE",
        "required": "OPTIONAL"
      },
      {
        "certificationType": "KC_HOUSEHOLD_CERTIFICATION",
        "name": "KC인증 생활용품 안전인증",
        "dataType": "CODE",
        "required": "RECOMMEND"
      },
      {
        "certificationType": "KC_HOUSEHOLD_CONFIRM",
        "name": "KC인증 생활용품 자율안전확인",
        "dataType": "CODE",
        "required": "RECOMMEND"
      },
      {
        "certificationType": "KC_HOUSEHOLD_QUALITY",
        "name": "KC인증 생활용품 안전품질표시",
        "dataType": "NONE",
        "required": "RECOMMEND"
      },
      {
        "certificationType": "KC_HOUSEHOLD_PACKAGING",
        "name": "KC인증 생활용품 어린이보호포장",
        "dataType": "NONE",
        "required": "RECOMMEND"
      },
      {
        "certificationType": "COMMUNICATION_EQUIPMENT",
        "name": "방송통신기자재 적합성 평가 대상",
        "dataType": "CODE",
        "required": "RECOMMEND"
      }
    ],
    "allowedOfferConditions": [
      "NEW",
      "REFURBISHED",
      "USED_BEST",
      "USED_GOOD",
      "USED_NORMAL"
    ]
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

The management category cannot be found for this display category code. Check with your MD and enter the valid display category.

Make sure that the display category code is correct.

400400 (Check Request Parameter)

Make sure that the display category code is in numbers.

Make sure that the display category code is correct. The display category code may only be in numbers.